Show / Hide Table of Contents

# Struct ImFontGlyphHotDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontGlyphHotDataPtr

### Constructors

| Improve this Doc View Source

#### ImFontGlyphHotDataPtr(ImFontGlyphHotData*)

##### Declaration

    public ImFontGlyphHotDataPtr(ImFontGlyphHotData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphHotData* | nativePtr |

| Improve this Doc View Source

#### ImFontGlyphHotDataPtr(IntPtr)

##### Declaration

    public ImFontGlyphHotDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### AdvanceX

##### Declaration

    public readonly ref float AdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KerningPairCount

##### Declaration

    public readonly ref uint KerningPairCount { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### KerningPairOffset

##### Declaration

    public readonly ref uint KerningPairOffset { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### KerningPairUseBisect

##### Declaration

    public readonly ref uint KerningPairUseBisect { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImFontGlyphHotData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontGlyphHotData* |

| Improve this Doc View Source

#### OccupiedWidth

##### Declaration

    public readonly ref float OccupiedWidth { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontGlyphHotData* to ImFontGlyphHotDataPtr)

##### Declaration

    public static implicit operator ImFontGlyphHotDataPtr(ImFontGlyphHotData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphHotData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphHotDataPtr |

| Improve this Doc View Source

#### Implicit(ImFontGlyphHotDataPtr to ImFontGlyphHotData*)

##### Declaration

    public static implicit operator ImFontGlyphHotData*(ImFontGlyphHotDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphHotDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphHotData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontGlyphHotDataPtr)

##### Declaration

    public static implicit operator ImFontGlyphHotDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphHotDataPtr |